body {
    margin: 0;
    min-height: 100vh;
    display: grid;
    grid-template-columns: auto;
    grid-template-rows: min-content minmax(400px, 1fr) min-content;
}

.main {
    margin-top: 20px;
}

footer {
    line-height: 60px;
    text-align: center;
}

#userpic-input, #image-input {
    height: auto;
}

#catalog-items {
    display: flex;
    flex-wrap: wrap;
    margin-right: -10px;
    margin-left: -10px;
}

.catalog-item {
    width: 16rem;
    margin: 10px;
}

.catalog-item .img-container {
    margin: 15px;
    max-width: 100%;
}

.catalog-item .card-body {
    padding-top: 5px;
}

.item-description {
    height: 100px;
    overflow-y: auto;
    border-radius: 5px;
    padding: 5px 10px;
    background-color: #f1f1f1;
}

#gallery {
    display: flex;
    overflow-x: auto;
    padding-top: 10px;
    padding-bottom: 10px;
}

#gallery .img-container {
    height: 150px;
    margin: 10px;
}

#gallery .img-container img {
    height: 100%;
    width: auto;
}

#cart-items .img-container {
    height: 100px;
}

#cart-items .img-container img {
    height: 100%;
    width: auto;
}